Bug 824835 - kernel pair boot don't accept repo=
kernel pair boot don't accept repo=
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 08:04 EDT by Kamil Páral
Modified: 2013-07-04 09:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 07:17:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
full lorax log (3.66 MB, text/plain)
2012-05-28 06:36 EDT, Kamil Páral
no flags Details
vm-setup.png (91.13 KB, image/png)
2012-05-28 06:37 EDT, Kamil Páral
no flags Details
vm-dracut.png (32.16 KB, image/png)
2012-05-28 06:37 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-05-24 08:04:47 EDT
Description of problem:
I have created a kernel pair (vmlinuz+initrd) using lorax. But when I try to boot it with repo=, dracut complains about "No or empty root= argument".

There is clearly some bug that lorax doesn't include anaconda-related modules into dracut and then repo= is not recognized.

Version-Release number of selected component (if applicable):
lorax-17.17-1.fc17

How reproducible:
always

Steps to Reproduce:
1. build F17 with lorax
2. try to boot vmlinuz+initrd with repo=
Comment 1 Will Woods 2012-05-24 11:52:24 EDT
This is how I do all my testing, so I'm almost 100% positive it works.

Are you sure the boot arguments actually make it into the system? Can you show me the contents of /proc/cmdline so I know what arguments you're passing?
Comment 2 Kamil Páral 2012-05-28 06:35:58 EDT
I run lorax like this:

$ lorax -p Fedora -v 123 -r abc -s http://dl.fedoraproject.org/pub/fedora/linux/development/17/i386/os/ out 2>&1 | tee lorax.log

This is a part of the lorax log:

preparing to build output tree and boot images
rebuilding initramfs images
rebuilding boot/initramfs-3.3.4-5.fc17.i686.PAE.img
E: Dracut module "anaconda" cannot be found.
E: Dracut module "nfs" cannot be found.
E: Dracut module "nfs" cannot be found.
E: Dracut module "anaconda" cannot be found.
E: Dracut module "nfs" cannot be found.
E: Dracut module "nfs" cannot be found.
rebuilding boot/initramfs-3.3.4-5.fc17.i686.img
E: Dracut module "anaconda" cannot be found.
E: Dracut module "nfs" cannot be found.
E: Dracut module "nfs" cannot be found.
E: Dracut module "anaconda" cannot be found.
E: Dracut module "nfs" cannot be found.
E: Dracut module "nfs" cannot be found.
populating output tree and building boot images



lorax-17.23-1.fc17.i686
Comment 3 Kamil Páral 2012-05-28 06:36:37 EDT
Created attachment 587209 [details]
full lorax log
Comment 4 Kamil Páral 2012-05-28 06:37:20 EDT
Created attachment 587210 [details]
vm-setup.png
Comment 5 Kamil Páral 2012-05-28 06:37:24 EDT
Created attachment 587211 [details]
vm-dracut.png
Comment 6 Martin Gracik 2012-05-29 07:17:26 EDT
Selinux needs to be disabled or in Permissive mode when doing the compose.
Comment 7 Kamil Páral 2012-05-29 07:20:22 EDT
Martin added a check to lorax that should warn you if you have enforcing mode enabled.

Note You need to log in before you can comment on or make changes to this bug.